=== added directory 'multi_company_sequence'
=== added file 'multi_company_sequence/__init__.py'
--- multi_company_sequence/__init__.py	1970-01-01 00:00:00 +0000
+++ multi_company_sequence/__init__.py	2009-08-04 09:02:09 +0000
@@ -0,0 +1,1 @@
+import multi_company_sequence
\ No newline at end of file

=== added file 'multi_company_sequence/__terp__.py'
--- multi_company_sequence/__terp__.py	1970-01-01 00:00:00 +0000
+++ multi_company_sequence/__terp__.py	2009-08-04 09:02:09 +0000
@@ -0,0 +1,23 @@
+# -*- encoding: utf-8 -*-
+
+{
+    "name" : "MultiCompany Sequence",
+    "version" : "1.1",
+    "depends" : [
+                    "base", 
+                ],
+    "author" : "Axelor",
+    "description": """Multi company Sequence Module
+    """,
+    'website': 'http://www.axelor.com',
+    'init_xml': [],
+    'update_xml': [
+                
+        'multi_company_sequence_view.xml',
+
+    ],
+    'demo_xml': [],
+    'installable': True,
+    'active': False,
+}
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

=== added file 'multi_company_sequence/multi_company_sequence.py'
--- multi_company_sequence/multi_company_sequence.py	1970-01-01 00:00:00 +0000
+++ multi_company_sequence/multi_company_sequence.py	2009-08-04 09:02:09 +0000
@@ -0,0 +1,33 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution    
+#    Copyright (C) 2004-2008 Tiny SPRL (<http://tiny.be>). All Rights Reserved
+#    $Id$
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+from osv import osv, fields
+
+class ir_sequence(osv.osv):
+    _name='ir.sequence'
+    _inherit='ir.sequence'
+    _columns={
+              'company_id' : fields.many2one('res.company', 'Company'),              
+              }
+ir_sequence()
+
+# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
\ No newline at end of file

=== added file 'multi_company_sequence/multi_company_sequence_view.xml'
--- multi_company_sequence/multi_company_sequence_view.xml	1970-01-01 00:00:00 +0000
+++ multi_company_sequence/multi_company_sequence_view.xml	2009-08-04 09:02:09 +0000
@@ -0,0 +1,29 @@
+<?xml version="1.0" encoding="utf-8"?>
+<openerp>
+    <data>
+    	<record id="sequence_view" model="ir.ui.view">
+            <field name="name">ir.sequence.form</field>
+            <field name="model">ir.sequence</field>
+      		<field name="inherit_id" ref="base.sequence_view" />
+            <field name="type">form</field>
+            <field name="arch" type="xml">
+            	<field name="number_next" position="after">
+            		<field name="company_id"/>
+            	</field>
+           	</field>
+        </record>
+        
+        <record id="view_users_tree" model="ir.ui.view">
+            <field name="name">res.users.tree</field>
+            <field name="model">res.users</field>
+            <field name="inherit_id" ref="base.view_users_tree" />
+            <field name="type">tree</field>
+            <field name="arch" type="xml">
+            	<field name="login" position="after">
+            		<field name="company_id"/>
+            	</field>
+            </field>
+       </record>
+        
+    </data>
+</openerp>
\ No newline at end of file

